# Query Card Limit

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/query-limit`

### **Request Body**

**Refer to :** [**common**](/issuing-card-api/common.md)

**Biz\_data :**

| Name        | Type       | Description   |
| ----------- | ---------- | ------------- |
| limit\_id   | long       | Card Limit ID |
| card\_token | string(48) | Card Token    |

{% hint style="info" %} <mark style="color:red;">Choose one of limit\_id and card\_token</mark>
{% endhint %}

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "B0CaBeb3-bC66-9FB7-bF26-B9EcddbA",
    "timestamp": "2025-04-07 13:56:48",
    "format": "JSON",
    "version": "2.0",
    "random_key": "<generated_key>",
    "sign_type": "RSA",
    "biz_data": {
        "limit_id": 100848
    }
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

| Name                                                  | Type       | Description                                       |
| ----------------------------------------------------- | ---------- | ------------------------------------------------- |
| limit\_id<mark style="color:red;">\*</mark>           | long       | Card Limit ID                                     |
| card\_token<mark style="color:red;">\*</mark>         | string(48) | Card Token                                        |
| daily\_transactions<mark style="color:red;">\*</mark> | integer    | Daily Transactions Quality                        |
| single\_amount<mark style="color:red;">\*</mark>      | string     | Single Amount                                     |
| daily\_amount<mark style="color:red;">\*</mark>       | string     | Daily Amount                                      |
| monthly\_amount<mark style="color:red;">\*</mark>     | string     | Monthly Amount                                    |
| total\_amount                                         | string     | <p>Total Limit </p><p>Designed for share card</p> |
| create\_time                                          | string     | Create time of the card limit                     |

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "limit_id": 100848,
        "card_token": "450620141926",
        "daily_transactions": 10000,
        "single_amount": "10000.00",
        "daily_amount": "10000.00",
        "monthly_amount": "10000.00",
        "total_amount": "10000.00",
        "create_time": "2025-04-07 05:56:46"
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/card/card-limit/query-card-limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
